Ask Your Question
2

devstack installation is failing in bootstrap_keystone

asked 2016-02-05 12:59:07 -0500

Pradip gravatar image

Hello,

In a RHEL-7, getting this error during stacking:

2016-02-05 11:08:00.385 | Discovering versions from the identity service failed when creating the password plugin. Attempting to determine version from URL.
2016-02-05 11:08:00.385 | Could not determine a suitable URL for the plugin
2016-02-05 11:08:00.403 | + /opt/stack/devstack/lib/keystone:bootstrap_keystone:L617:   token_id=
2016-02-05 11:08:00.403 | + /opt/stack/devstack/lib/keystone:bootstrap_keystone:L1:   exit_trap
2016-02-05 11:08:00.403 | + ./stack.sh:exit_trap:L474:   local r=1
2016-02-05 11:08:00.404 | ++ ./stack.sh:exit_trap:L475:   jobs -p
2016-02-05 11:08:00.404 | + ./stack.sh:exit_trap:L475:   jobs=
2016-02-05 11:08:00.404 | + ./stack.sh:exit_trap:L478:   [[ -n '' ]]
2016-02-05 11:08:00.404 | + ./stack.sh:exit_trap:L484:   kill_spinner
2016-02-05 11:08:00.404 | + ./stack.sh:kill_spinner:L370:   '[' '!' -z '' ']'
2016-02-05 11:08:00.404 | + ./stack.sh:exit_trap:L486:   [[ 1 -ne 0 ]]
2016-02-05 11:08:00.404 | + ./stack.sh:exit_trap:L487:   echo 'Error on exit'
2016-02-05 11:08:00.404 | Error on exit
2016-02-05 11:08:00.404 | + ./stack.sh:exit_trap:L488:   generate-subunit 1454670313 167 fail
2016-02-05 11:08:00.670 | + ./stack.sh:exit_trap:L489:   [[ -z /opt/stack/logs ]]
2016-02-05 11:08:00.670 | + ./stack.sh:exit_trap:L492:   /opt/stack/devstack/tools/worlddump.py -d /opt/stack/logs
2016-02-05 11:08:00.955 | + ./stack.sh:exit_trap:L498:   exit 1


[stack@scson0001301001 devstack]$ uname -a
Linux scson0001301001.nb.openenglab.netapp.com 3.10.0-229.el7.x86_64 #1 SMP Thu Jan 29 18:37:38 EST 2015 x86_64 x86_64 x86_64 GNU/Linux

Any idea how to overcome it?

Thanks, Pradip

edit retag flag offensive close merge delete

Comments

Facing same problem. Cannot find any solution yet.

ahsan gravatar imageahsan ( 2016-02-06 14:34:43 -0500 )edit

Yeah. Heard that the code is independent of any OS. So should be coming for other OS (e.g. ubuntu) also.

Pradip gravatar imagePradip ( 2016-02-08 23:33:48 -0500 )edit

I see it on Ubuntu as well

harsh.kumar gravatar imageharsh.kumar ( 2017-01-04 05:27:25 -0500 )edit

Hi, are you able to get it fixed? even i am facing the same issue on Ubuntu 16, stable newton branch

CloudEnthusiast gravatar imageCloudEnthusiast ( 2017-09-04 12:08:22 -0500 )edit

7 answers

Sort by ยป oldest newest most voted
1

answered 2016-05-14 19:47:11 -0500

s.sreejith gravatar image

I had the same issue while trying to upgrade the package with the latest one. To solve the problem, I had to do the following.

  1. ./clean.sh
  2. remove the installed package files by sudo rm -rf /opt/stack
  3. ./stack.sh

Hope this will solve the problem.

edit flag offensive delete link more

Comments

that removes the stack.sh also or what do you mean ?

SyCode7 gravatar imageSyCode7 ( 2016-11-03 14:21:53 -0500 )edit

Worked for me! Thanks!

sudo rm -rf /opt/stack removes currently downloaded repos so you can re-fetch more current ones.

gnahckire gravatar imagegnahckire ( 2017-01-18 12:04:33 -0500 )edit
1

answered 2016-02-11 20:16:51 -0500

ben@folks gravatar image

Having exactly the same issue on a fresh install of Ubuntu 14.04.

When I look in the key.log file, I am seeing errors:

mod_wsgi (pid=49330): Target WSGI script '/usr/local/bin/keystone-wsgi-public' cannot be loaded as Python module.
mod_wsgi (pid=49330): Exception occurred processing WSGI script '/usr/local/bin/keystone-wsgi-public'.
Traceback (most recent call last):
  File "/usr/local/bin/keystone-wsgi-public", line 6, in <module>
    from keystone.server.wsgi import initialize_public_application
  File "/opt/stack/keystone/keystone/server/wsgi.py", line 31, in <module>
    from keystone.version import service as keystone_service
  File "/opt/stack/keystone/keystone/version/service.py", line 20, in <module>
    from paste import deploy
ImportError: cannot import name deploy
mod_wsgi (pid=49336): Target WSGI script '/usr/local/bin/keystone-wsgi-admin' cannot be loaded as Python module.
mod_wsgi (pid=49336): Exception occurred processing WSGI script '/usr/local/bin/keystone-wsgi-admin'.
Traceback (most recent call last):
  File "/usr/local/bin/keystone-wsgi-admin", line 6, in <module>
    from keystone.server.wsgi import initialize_admin_application
  File "/opt/stack/keystone/keystone/server/wsgi.py", line 31, in <module>
    from keystone.version import service as keystone_service
  File "/opt/stack/keystone/keystone/version/service.py", line 20, in <module>
    from paste import deploy
ImportError: cannot import name deploy

I've tried running clean.sh, and a few other things I found in other threads about this error such as commenting out the

export OS_USER_DOMAIN_ID=default
export OS_PROJECT_DOMAIN_ID=default

lines. Nothing I have tried makes a difference.

edit flag offensive delete link more

Comments

Same. None of the workaround worked. Can anyone point out what's the next step?

Pradip gravatar imagePradip ( 2016-02-12 11:04:44 -0500 )edit

Hi ben@folks, are you able to get this issued fixed? How ??

CloudEnthusiast gravatar imageCloudEnthusiast ( 2017-09-04 12:09:33 -0500 )edit
0

answered 2016-02-16 00:00:59 -0500

xiexs gravatar image

I think you should pull the latest version of keystone and then restart devstack.

edit flag offensive delete link more
0

answered 2017-01-26 14:48:29 -0500

dadawa gravatar image

Hi All,

I'm on Ubuntu 16.04 and see this issue. Anyone can provide suggestion?

edit flag offensive delete link more
0

answered 2016-03-03 02:21:57 -0500

hanrong gravatar image

updated 2016-05-16 06:25:14 -0500

I also meet this problem. 2016-03-03 07:29:02.134 | ++ /home/tecs/devstack/lib/keystone:bootstrap_keystone:L651: openstack token issue -c id -f value --os-username admin --os-project-name admin --os-user-domain-id default --os-project-domain-id default --os-identity-api-version 3 --os-auth-url http://192.0.6.12:35357 --os-password nomoresecrete

2016-03-03 07:29:30.453 | Discovering versions from the identity service failed when creating the password plugin. Attempting to determine version from URL.

2016-03-03 07:29:30.454 | Could not determine a suitable URL for the plugin

2016-03-03 07:29:30.501 | + /home/tecs/devstack/lib/keystone:bootstrap_keystone:L651: token_id=

2016-03-03 07:29:30.501 | + /home/tecs/devstack/lib/keystone:bootstrap_keystone:L1: exit_trap

2016-03-03 07:29:30.502 | + ./stack.sh:exit_trap:L474: local r=1

2016-03-03 07:29:30.504 | ++ ./stack.sh:exit_trap:L475: jobs -p

Because go on the Internet using the proxy. So It is ok after executing this: export no_proxy="10.0.0.0/8,192.0.6.12,127.0.0.1" 192.0.6.16 is my host ip.

edit flag offensive delete link more
0

answered 2016-02-09 13:00:58 -0500

ober37 gravatar image

I am seeing a similar issue (not exactly the same)

keystone-manage: error: argument command: invalid choice: 'bootstrap' (choose from 'db_sync', 'db_version', 'domain_config_upload', 'fernet_rotate', 'fernet_setup', 'mapping_purge', 'mapping_engine', 'pki_setup', 'saml_idp_metadata', 'ssl_setup', 'token_flush') + /home/stack/devstack/lib/keystone:bootstrap_keystone:L1: exit_trap + ./stack.sh:exit_trap:L474: local r=2 ++ ./stack.sh:exit_trap:L475: jobs -p + ./stack.sh:exit_trap:L475: jobs= + ./stack.sh:exit_trap:L478: [[ -n '' ]] + ./stack.sh:exit_trap:L484: kill_spinner + ./stack.sh:kill_spinner:L370: '[' '!' -z '' ']' + ./stack.sh:exit_trap:L486: [[ 2 -ne 0 ]] + ./stack.sh:exit_trap:L487: echo 'Error on exit'

edit flag offensive delete link more

Comments

Any luck in getting past with this issue? I am seeing a similar issue while running keystone-manage bootstrap on command line... Appreciate any help on this.

Karun gravatar imageKarun ( 2016-02-15 15:22:51 -0500 )edit

I think you should pull the latest version of keystone, and then restart devstack.

xiexs gravatar imagexiexs ( 2016-02-16 00:02:21 -0500 )edit
0

answered 2016-06-09 12:42:57 -0500

kbhonagiri gravatar image

I faced the same error and it worked after this $cd .. $sudo chown -R stack devstack $sudo chmod 770 devstack $cd devstack $./clean.sh $./stack.sh

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

2 followers

Stats

Asked: 2016-02-05 12:59:07 -0500

Seen: 2,954 times

Last updated: Jan 26 '17